cannot login into maxview storage manager

machines

Member
Nov 1, 2006
32
0
6
Hello there,

I just installed the Adaptec Maxview Storage Manager as described in the KB,
where the installation succeeded as I had to give the login-name and password.

After restarting the system I can reach the webinterface of the manager but
my credentials for login are not working. It says wrong password / username.

Is there an idea for me ?

Thanks for your help. Greetings Marco.
 

machines

Member
Nov 1, 2006
32
0
6
Hello Dietmar,

Thanks for your answer. The time is correct.

I found some threads in the net having the same problem with the manager. I can
reproduce it with a local installation in windows 7. That´s really strange.

Greetings Marco.
 

machines

Member
Nov 1, 2006
32
0
6
Hello again,

I just want to setup another ProxMox 3.0 Server and again I like to install the maxView Storage Manager.

After upgrading the system I tried to install the package with

dpkg -i StorMan-1.01-20324_amd64.deb

and get the following error:

maxView Storage Manager
Version 1.01

Setting up storman (1.01-20324) ...
/var/lib/dpkg/info/storman.postinst: line 271: syntax error near unexpected token `fi'
/var/lib/dpkg/info/storman.postinst: line 271: ` fi'
dpkg: error processing storman (--install):
subprocess installed post-installation script returned error exit status 2
Errors were encountered while processing:
storman

The Webseit of maxView is not reachable. Where am I going wrong ?

Thanks for your help.

Greetings Marco.


Update:

I uninstalled the package above and used the "StorMan-1.00-20206_amd64.deb" as described in the wiki. > TATATATAA > it works.
 
Last edited:

tom

Proxmox Staff Member
Staff member
Aug 29, 2006
15,250
805
163
same here. syslog:

Code:
cimserver[5366]: Authentication failed for user root from client IP address 127.0.0.1

can you open a support case on Adaptec? Most time they are quite helpful and as Wheezy in now stable they should check this issue soon.
 

andydld

New Member
May 29, 2011
5
0
1
Same here, too:
Code:
cimserver[4410]: Authentication failed for user root from client IP address 127.0.0.1.
Host: PVE 3.0 (Upgrade from 2.3)
Tested with Adaptec maxView Storage Manager v1.00.20206 (installs without errors, can't login) and v1.01.20324 (no install possible).
 

Rawman

New Member
Jun 3, 2013
1
0
1
I had the same problems with 7805Q and wheezy (works for squeeze too).
Here is the solution:
first remove the old versions of maxview with

dpkg -r storman

delete the dpkg infos

rm /var/lib/dpkg/info/storman*

download the latest version for your controller
install some requirements for the installation

aptitude install unzip libpam-cracklib

if you can´t reach login page disable ipv6
echo net.ipv6.conf.all.disable_ipv6=1 > /etc/sysctl.d/disableipv6.conf

I did now a reboot, then install the latest StorMan

dpkg –i StorMan-1.02-20425_amd64.deb

edit the /etc/pam.d/wbem

change the path part of the modules from

/lib64/security/ to /lib/x86_64-linux-gnu/security/

I did an additional reboot for conveniance.
After that, login should work as you expected.


:cool:
 

andydld

New Member
May 29, 2011
5
0
1
Thanks to you, Rawman.

For me and my Adaptec 6405E it works without reboots with StorMan-1.00-20206_amd64.deb.


 

tom

Proxmox Staff Member
Staff member
Aug 29, 2006
15,250
805
163
thanks, worked also for me.
 

javii

Member
Feb 27, 2013
26
0
21
Thanks Rawman, it also worked for me.

But now I'm having strange problems with SSL on the server:

example 1:
# pvecm updatecerts --force
openssl: /usr/StorMan/ssl/lib/libssl.so.1.0.0: no version information available (required by openssl)
openssl: /usr/StorMan/ssl/lib/libssl.so.1.0.0: no version information available (required by openssl)
openssl: /usr/StorMan/ssl/lib/libcrypto.so.1.0.0: no version information available (required by openssl)
openssl: /usr/StorMan/ssl/lib/libcrypto.so.1.0.0: no version information available (required by openssl)
WARNING: can't open config file: /usr/local/ssl/openssl.cnf
openssl: relocation error: openssl: symbol X509_REQ_sign_ctx, version OPENSSL_1.0.1 not defined in file libcrypto.so.1.0.0 with link time reference
unable to generate pve certificate request:
command 'openssl req -batch -new -config /tmp/pvesslconf-5980.tmp -key /etc/pve/nodes/hulk6/pve-ssl.key -out /tmp/pvecertreq-5980.tmp' failed: exit code 127

example 2:
# host google.com
host: /usr/StorMan/ssl/lib/libcrypto.so.1.0.0: no version information available (required by /usr/lib/libdns.so.88)
google.com has address 173.194.34.195

Any idea how to fix that?

Thank you!
 

tom

Proxmox Staff Member
Staff member
Aug 29, 2006
15,250
805
163
@Cesar: pls open a new thread for your questions as its not directly related to this thread topic.
 

taehyun

Member
Aug 3, 2013
6
0
21
Thanks to you, Rawman and indyimaging

For me and my Adaptec 6805E it works without reboots with StorMan-1.00-20206_amd64.deb.
But, not work StorMan-1.00-20323_amd64.deb and StorMan-1.00-20324_amd64.deb ( this two version have some installer's script error )

and

I got the same message.

$>ssh [enter]
openssl: /usr/StorMan/ssl/lib/libssl.so.1.0.0: no version information available (required by openssl)
usage: ssh [-1246AaCfgKkMNnqsTtVvXxYy] [-b bind_address] [-c cipher_spec]
[-D [bind_address:]port] [-e escape_char] [-F configfile]
[-I pkcs11] [-i identity_file]
[-L [bind_address:]port:host:hostport]
[-l login_name] [-m mac_spec] [-O ctl_cmd] [-o option] [-p port]
[-R [bind_address:]port:host:hostport] [-S ctl_path]
[-W host:port] [-w local_tun[:remote_tun]]
[user@]hostname [command]

so, temp solved..


Thanks to you, Rawman.

For me and my Adaptec 6805E it works without reboots with StorMan-1.00-20206_amd64.deb.
But, not work StorMan-1.00-20323_amd64.deb and StorMan-1.00-20324_amd64.deb ( this two version have some installer's script error )

and

I got the same message.

$>ssh [enter]
openssl: /usr/StorMan/ssl/lib/libssl.so.1.0.0: no version information available (required by openssl)
usage: ssh [-1246AaCfgKkMNnqsTtVvXxYy] [-b bind_address] [-c cipher_spec]
[-D [bind_address:]port] [-e escape_char] [-F configfile]
[-I pkcs11] [-i identity_file]
[-L [bind_address:]port:host:hostport]
[-l login_name] [-m mac_spec] [-O ctl_cmd] [-o option] [-p port]
[-R [bind_address:]port:host:hostport] [-S ctl_path]
[-W host:port] [-w local_tun[:remote_tun]]
[user@]hostname [command]

$>qm start 100 [enter]
/usr/bin/kvm: /usr/StorMan/ssl/lib/libssl.so.1.0.0: no version information available (required by /usr/lib/libspice-server.so.1)

so, temp solved..

$>cd /usr/StorMan/ssl/lib/

$>mv
libcrypto.so.1.0.0 libcrypto.so.1.0.0.org
$>
locate
libcrypto.so.1.0.0
$>ln -s /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0 libcrypto.so.1.0.0

$>mv libssl.so.1.0.0 libssl.so.1.0.0.org
$>
locate libssl.so.1.0.0
$>ln -s /usr/lib/x86_64-linux-gnu/libssl.so.1.0.0 libssl.so.1.0.0

$>ssh [enter]
usage: ssh [-1246AaCfgKkMNnqsTtVvXxYy] [-b bind_address] [-c cipher_spec]

[-D [bind_address:]port] [-e escape_char] [-F configfile]
[-I pkcs11] [-i identity_file]
[-L [bind_address:]port:host:hostport]
[-l login_name] [-m mac_spec] [-O ctl_cmd] [-o option] [-p port]
[-R [bind_address:]port:host:hostport] [-S ctl_path]
[-W host:port] [-w local_tun[:remote_tun]]
[user@]hostname [command]

$>qm start 100 [enter]
now, no problem.

if you update StorMan's new version or Debian or Proxmox , then same action need too.
 
Last edited:

RedMD

New Member
Aug 14, 2011
2
0
1
I emailed the adaptec folks as the moderator suggested and got a really quick response. See below:
Please use the latest 20532 Version ( from Series 7 downloads ) which also works with Series 6. There is a known issue in the installation script of the 20324 maxView software.

http://www.adaptec.com/en-us/speed/raid/storage_manager/msm_linux_x64_v1_02_20532_tgz.htm

After using this updated install script (see url above) and also tweaking the ipv6/pam settings discussed elsewhere in the post, everything is working well. I am using proxmox VE 3.0 and an adaptec 6805e raid controller
 

indyimaging

New Member
Jul 8, 2014
11
0
1
Thanks to you, Rawman.

For me and my Adaptec 6805E it works without reboots with StorMan-1.00-20206_amd64.deb.
But, not work StorMan-1.00-20323_amd64.deb and StorMan-1.00-20324_amd64.deb ( this two version have some installer's script error )

and

I got the same message.

$>ssh [enter]
openssl: /usr/StorMan/ssl/lib/libssl.so.1.0.0: no version information available (required by openssl)
usage: ssh [-1246AaCfgKkMNnqsTtVvXxYy] [-b bind_address] [-c cipher_spec]
[-D [bind_address:]port] [-e escape_char] [-F configfile]
[-I pkcs11] [-i identity_file]
[-L [bind_address:]port:host:hostport]
[-l login_name] [-m mac_spec] [-O ctl_cmd] [-o option] [-p port]
[-R [bind_address:]port:host:hostport] [-S ctl_path]
[-W host:port] [-w local_tun[:remote_tun]]
[user@]hostname [command]

so, temp solved..


$>cd /usr/StorMan/ssl/lib/
$>mv libssl.so.1.0.0 libssl.so.1.0.0.org
$>
locate libssl.so.1.0.0
$>
ln -s /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0 libcrypto.so.1.0.0


$>ssh [enter]
usage: ssh [-1246AaCfgKkMNnqsTtVvXxYy] [-b bind_address] [-c cipher_spec]

[-D [bind_address:]port] [-e escape_char] [-F configfile]
[-I pkcs11] [-i identity_file]
[-L [bind_address:]port:host:hostport]
[-l login_name] [-m mac_spec] [-O ctl_cmd] [-o option] [-p port]
[-R [bind_address:]port:host:hostport] [-S ctl_path]
[-W host:port] [-w local_tun[:remote_tun]]
[user@]hostname [command]



now, no problem.

This was a lot of help, however I found there was a little more than those commands and I'm running the current version of MaxView. These are the complete set of commands that worked for me. the above instruction move the libssl.so.1.0.0 file but link the libcrypto.so.1.0.0 file. I guessed that both files needed to be pointed to the /usr/lib/x86_64-linux-gnu/ versions and did this:


cd /usr/StorMan/ssl/lib/

mv libssl.so.1.0.0 libssl.so.1.0.0.org
locate libssl.so.1.0.0
ln -s /usr/lib/x86_64-linux-gnu/libssl.so.1.0.0 libcrypto.so.1.0.0 <------using result of line above


mv libcrypto.so.1.0.0 libcrypto.so.1.0.0.org
locate libcrypto.so.1.0.0
ln -s /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0 libcrypto.so.1.0.0 <------using result of line above



now my result is:


# host google.com
google.com has address 74.125.228.0
google.com has address 74.125.228.1
google.com has address 74.125.228.2
google.com has address 74.125.228.3
google.com has address 74.125.228.4
google.com has address 74.125.228.5
google.com has address 74.125.228.6
google.com has address 74.125.228.7
google.com has address 74.125.228.8
google.com has address 74.125.228.9
google.com has address 74.125.228.14
google.com has IPv6 address 2607:f8b0:4004:800::1009
google.com mail is handled by 10 aspmx.l.google.com.
google.com mail is handled by 20 alt1.aspmx.l.google.com.
google.com mail is handled by 30 alt2.aspmx.l.google.com.
google.com mail is handled by 40 alt3.aspmx.l.google.com.
google.com mail is handled by 50 alt4.aspmx.l.google.com.
 

greenvomit8

Active Member
Jul 31, 2012
34
3
28
Sydney, Australia
Thanks Rawman.
Worked for me with Proxmox 3.4 and Adaptec 6405 card with Maxview 1.08-21375

Minor amendment to Rawman instructions:

"edit the /etc/pam.d/wbem

change the path part of the modules from

/lib/security/ to /lib/x86_64-linux-gnu/security/"
 
Last edited:

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!